<?php
declare (strict_types = 1);

namespace app\admin\controller\goods;

use app\common\controller\Backend;
use think\annotation\route\Group;
use think\annotation\route\Route;
use app\admin\traits\Actions;
use app\common\model\StockConfig;
use app\common\model\ProductConfig as ProductConfigModel;

#[Group("goods/product_config")]
class ProductConfig extends Backend
{

    use Actions;

    protected function _initialize()
    {
        parent::_initialize();
        $this->model = new ProductConfigModel();

        $this->assign('varietyList', StockConfig::where('type_id', 'variety_name')->column('title','id'));
     
     
    }



    //删除
    #[Route("GET","del")]
    public function del()
    {
        return "删除";
    }
    
    //导入
    #[Route("GET","import")]
    public function import()
    {
        return "导入";
    }
    
    //下载
    #[Route("GET","download")]
    public function download()
    {
        return "下载";
    }
}
